Index: trunk/workflow/inc/engine/src/common/Base.php
===================================================================
--- trunk/workflow/inc/engine/src/common/Base.php	(revision 795)
+++ trunk/workflow/inc/engine/src/common/Base.php	(revision 2195)
@@ -1,12 +1,11 @@
 <?php
-require_once(GALAXIA_LIBRARY.SEP.'src'.SEP.'common'.SEP.'Observable.php');
 /**
  * This class is derived by all the API classes so they get the
- * database connection, database methods and the Observable interface
- * 
+ * database connection and the database methods.
+ *
  * @package Galaxia
- * @license http://www.gnu.org/copyleft/gpl.html GPL 
+ * @license http://www.gnu.org/copyleft/gpl.html GPL
  */
-class Base extends Observable {
+class Base {
 	/**
 	 * @var object $db Database abstraction object used to access the database
@@ -17,15 +16,15 @@
 	 * @var int	$num_queries Debugging var
 	 * @access private
-	 */  	
+	 */
   	var $num_queries = 0;
 	/**
 	 * @var int	$num_queries_total Debugging var
 	 * @access private
-	 */  	
+	 */
   	var $num_queries_total = 0;
 	/**
 	 * @var array  $error Error messages
 	 * @access public
-	 */  	
+	 */
   	var $error= Array();
   	/**
@@ -39,5 +38,5 @@
   	 */
   	var $child_name = 'Base';
-  
+
   /**
    * Constructor receiving a database abstraction object
@@ -72,12 +71,12 @@
    * Always call this function after failed operations on a workflow object to obtain messages
    *
-   * @param bool $as_array if true the result will be send as an array of errors or an empty array. Else, if you do not give any parameter 
+   * @param bool $as_array if true the result will be send as an array of errors or an empty array. Else, if you do not give any parameter
    * or give a false parameter you will obtain a single string which can be empty or will contain error messages with <br /> html tags
    * @param bool $debug is false by default, if true you wil obtain more messages
    * @param string $prefix string appended to the debug message
    * @return mixed Error and debug messages or an array of theses messages and empty the error messages
-   * @access public  
+   * @access public
    */
-  function get_error($as_array=false, $debug=false, $prefix='') 
+  function get_error($as_array=false, $debug=false, $prefix='')
   {
     //collect errors from used objects
@@ -96,11 +95,11 @@
   /**
    * Gets warnings recorded by this object
-   * 
-   * @param bool $as_array if true the result will be send as an array of warnings or an empty array. Else, if you do not give any parameter 
+   *
+   * @param bool $as_array if true the result will be send as an array of warnings or an empty array. Else, if you do not give any parameter
    * or give a false parameter you will obtain a single string which can be empty or will contain warning messages with <br /> html tags
    * @return mixed Warning messages or an array of theses messages and empty the warning messages
-   * @access public  
+   * @access public
    */
-  function get_warning($as_array=false) 
+  function get_warning($as_array=false)
   {
     if ($as_array)
@@ -118,10 +117,10 @@
    * Collect errors from all linked objects which could have been used by this object
    * Each child class should instantiate this function with her linked objetcs, calling get_error(true)
-   * 
+   *
    * @param bool $debug is false by default, if true debug messages can be added to 'normal' messages
    * @param string $prefix is a string appended to the debug message
    * @abstract
    * @access public
-   * @return void 
+   * @return void
    */
   function collect_errors($debug=false, $prefix = '')
@@ -134,8 +133,8 @@
 	}
   }
-	
+
 	/**
 	 * Performs a query on the AdoDB database object
-	 * 
+	 *
 	 * @param string $query sql query, parameters should be replaced with ?
 	 * @param array $values array containing the parameters (going in the ?), use it to avoid security problems. If
@@ -196,5 +195,5 @@
 
 	/**
-	 * @see Base::query 
+	 * @see Base::query
 	 * @param string $query sql query, parameters should be replaced with ?
      * @param array $values array containing the parameters (going in the ?), use it to avoid security problems
@@ -224,5 +223,5 @@
 		if (!$result && $reporterrors )
 			$this->sql_error($query, $clean_values, $result);
-		if (!!$result) 
+		if (!!$result)
 		{
 			$res = $result->fetchRow();
@@ -241,10 +240,10 @@
 	/**
 	 * Throws error warnings
-	 * 
+	 *
 	 * @param string $query
 	 * @param array $values
 	 * @param mixed $result
 	 * @access public
-	 * @return void 
+	 * @return void
 	 */
 	function sql_error($query, $values, $result) {
@@ -252,10 +251,10 @@
 		// DO NOT DIE, if transactions are there, they will do things in a better way
 	}
-	
+
 	/**
 	 * Clean the data before it is recorded on the database
-	 * 
+	 *
 	 * @param $value is a data we want to be stored in the database.
-	 * If it is an array we'll make a serialize and then an base64_encode 
+	 * If it is an array we'll make a serialize and then an base64_encode
 	 * (you'll have to make an unserialize(base64_decode())
 	 * If it is not an array we make an htmlspecialchars() on it
@@ -292,7 +291,7 @@
 	/**
 	 * Supports DB abstraction
-	 * 
+	 *
 	 * @param string &$query
-	 * @return void 
+	 * @return void
 	 * @access public
 	 */
@@ -302,5 +301,5 @@
 		case "oci8":
 			$query = preg_replace("/`/", "\"", $query);
-			// convert bind variables - adodb does not do that 
+			// convert bind variables - adodb does not do that
 			$qe = explode("?", $query);
 			$query = '';
@@ -318,7 +317,7 @@
 	/**
 	 * Supports DB abstraction
-	 * 
+	 *
 	 * @param string $sort_mode
-	 * @return string 
+	 * @return string
 	 * @access public
 	 */
@@ -330,6 +329,6 @@
 	/**
 	 * Supports DB abstraction
-	 * 
-	 * @return mixed 
+	 *
+	 * @return mixed
 	 * @access public
 	 */
